Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2048094 - python3-marisa provides python3dist(marisa) = 0
Summary: python3-marisa provides python3dist(marisa) = 0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: marisa
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS python3dist0
TreeView+ depends on / blocked
 
Reported: 2022-01-29 12:21 UTC by Miro Hrončok
Modified: 2023-10-07 04:25 UTC (History)
2 users (show)

Fixed In Version: marisa-0.2.4-60.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-08 07:57:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-01-29 12:21:03 UTC
The package python3-marisa has the following automatic provide:

  python3dist(marisa) = 0

It appears that the actual package version was lost during the packaging process. 

In most cases, this is caused by using a Source that misses version information, e.g. A GitHub tarball when the project uses setuptools_scm or pbr. See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_source_files_from_pypi

This bugzilla was created in a batch, so it does not have information about the exact cause for this package. If you need help figuring out why this happens in this particular package, feel free to ask.

Comment 1 Ben Cotton 2022-02-08 20:26:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 2 Miro Hrončok 2023-01-05 15:46:34 UTC
https://fedoraproject.org/wiki/Changes/Prevent-Providing-python3dist(pkg)=0 has landed and this package will now fail to build in Fedora 38+.

Please, respond to this bugzilla, it has been open for a year.

Comment 3 Miro Hrončok 2023-04-12 12:20:04 UTC
Please, respond to this bugzilla.

Comment 4 Ben Cotton 2023-04-25 16:52:32 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 5 Miro Hrončok 2023-05-27 08:30:59 UTC
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

"""
If the bug remains in NEW state for at least another 4 weeks after the second comment (= at least 8 weeks in total), the package will be orphaned. Orphaning can be requested via a releng issue.
"""

https://pagure.io/releng/issue/11444

Comment 6 Fedora Admin user for bugzilla script actions 2023-05-27 12:04:18 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2023-06-08 07:55:44 UTC
FEDORA-2023-d16b479f03 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d16b479f03

Comment 8 Fedora Update System 2023-06-08 07:57:59 UTC
FEDORA-2023-d16b479f03 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Red Hat Bugzilla 2023-10-07 04:25:08 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.